osl::effect::LongEffect8 Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | Friends | List of all members
osl::effect::LongEffect8 Struct Reference

8近傍のどこに長い利きを持つか. More...

`#include <liberty8Table.h>`

Collaboration diagram for osl::effect::LongEffect8:
[legend]

## Public Member Functions
| LongEffect8 ()
Offset | getOffset () const
void | setOffset (Offset o)
unsigned int | getMask (int index) const
void | setMask (int index, unsigned int val)

## Public Attributes
char | smallOffset
| こちらの素直な実装の方が速いようだ。 More...
CArray< unsigned char, 3 > | mask

## Friends
std::ostream & | operator<< (std::ostream &os, LongEffect8 const &longEffect)

## Detailed Description

8近傍のどこに長い利きを持つか.

最大3近傍に利きを持つ可能性があるが，攻め方に最も近い近傍への オフセットも返す

Definition at line 20 of file liberty8Table.h.

## Constructor & Destructor Documentation

osl::effect::LongEffect8::LongEffect8 | ( | ) |  |
| inline

Definition at line 29 of file liberty8Table.h.

References mask.

## Member Function Documentation

unsigned int osl::effect::LongEffect8::getMask | ( | int | index) |  | const
| inline

Definition at line 38 of file liberty8Table.h.

References mask.

Referenced by osl::effect::AddMaskAction< Liberty, P, T >::operator()(), and osl::effect::operator<<().

Offset osl::effect::LongEffect8::getOffset | ( | ) |  | const
| inline

Definition at line 32 of file liberty8Table.h.

References osl::Offset::makeDirect(), and smallOffset.

Referenced by osl::effect::AddMaskAction< Liberty, P, T >::operator()(), and osl::effect::operator<<().

void osl::effect::LongEffect8::setMask | ( | int | index,
|  | unsigned int | val
| ) |  |
| inline

Definition at line 41 of file liberty8Table.h.

References mask.

Referenced by osl::effect::Liberty8Table::longEffectOf().

void osl::effect::LongEffect8::setOffset | ( | Offset | o) |  |
| inline

Definition at line 35 of file liberty8Table.h.

References osl::Offset::intValue(), and smallOffset.

Referenced by osl::effect::Liberty8Table::longEffectOf().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | LongEffect8 const & | longEffect
| ) |  |
| friend

Definition at line 172 of file liberty8Table.cc.

## Member Data Documentation

CArray<unsigned char,3> osl::effect::LongEffect8::mask

Definition at line 27 of file liberty8Table.h.

Referenced by getMask(), LongEffect8(), and setMask().

char osl::effect::LongEffect8::smallOffset

こちらの素直な実装の方が速いようだ。

Definition at line 26 of file liberty8Table.h.

Referenced by getOffset(), and setOffset().

The documentation for this struct was generated from the following file:

- liberty8Table.h